%global packname  RCurl
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.5.0
Release:          1%{?dist}
Summary:          General network (http/ftp/...) client interface for R

Group:            Applications/Engineering 
License:          BSD
URL:              http://cran.at.r-project.org/src/contrib/RCurl_1.5-0.tar.gz
Source0:          http://cran.at.r-project.org/src/contrib/RCurl_1.5-0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R >= 2.7.0 R-methods R-bitops 
Requires:         R-Rcompression libcurl
BuildRequires:    R-devel tex(latex) R >= 2.7.0 R-methods R-bitops R-Rcompression
BuildRequires:    libcurl-devel

%description
The package allows one to compose general HTTP requests and provides
convenient functions to fetch URIs, get & post forms, etc. and process the
results returned by the Web server. This provides a great deal of control
over the HTTP/FTP/... connection and the form of the request while
providing a higher-level interface than is available just using R socket
connections. Additionally, the underlying implementation is robust and
extensive, supporting FTP/FTPS/TFTP (uploads and downloads), SSL/HTTPS,
telnet, dict, ldap, and also supports cookies, redirects, authentication,

%package           devel
Summary:           Development files for %{name}
Group:             Development/Libraries
Requires:          %{name} = %{version} 

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}


%prep
%setup -q -c -n %{packname}

chmod -x %{packname}/src/curl_base64.c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# Fails because it cannot find a logo which is not present
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/COPYING
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/HTTPErrors
%{rlibdir}/%{packname}/CurlSSL

%files          devel
%defattr(-,root,root,-)
%{rlibdir}/%{packname}/examples
%{rlibdir}/%{packname}/enums

%changelog
* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 1.5.0-1
- initial package for Fedora
